"""Altered column names in resultindicators

Revision ID: 6739dd661f92
Revises: 1d56c8fba291
Create Date: 2016-04-26 14:02:23.022957

"""

# revision identifiers, used by Alembic.
revision = '6739dd661f92'
down_revision = '1d56c8fba291'

from alembic import op
import sqlalchemy as sa


INSERTS = """
ALTER TABLE resultindicators RENAME "qeri.new_qualification_type" TO new_qualification_type
ALTER TABLE resultindicators RENAME "qeri.new_qualification_type_else" TO new_qualification_type_else
"""
DELETES = """
ALTER TABLE resultindicators RENAME "new_qualification_type" TO "queri.new_qualification_type"
ALTER TABLE resultindicators RENAME "new_qualification_type_else" TO "queri.new_qualification_type_else"
"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    iter_statements(INSERTS)


def downgrade():
    iter_statements(DELETES)
